<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$uploaddir = './';

if($_FILES['plik1']['error'] == UPLOAD_ERR_OK){
  $new_name = $uploaddir.$_FILES['plik1']['name'];
  $temp_name = $_FILES['plik1']['tmp_name'];
  if(move_uploaded_file($temp_name, $new_name)){
    echo "Plik został załadowany.\n";
  }
  else{
    echo "Nieprawidłowy plik\n";
  }
}
else{
  echo("Wystąpił błąd: ");
  switch($_FILES['plik1']['error']){
    case UPLOAD_ERR_INI_SIZE  :
    case UPLOAD_ERR_FORM_SIZE :
      echo("Przekroczony maksymalny rozmiar pliku!\n");
      break;
    case UPLOAD_ERR_PARTIAL :
      echo("Odebrano tylko częśc pliku!\n");
      break;
    case UPLOAD_ERR_NO_FILE :
      echo("Plik nie został pobrany!\n");
      break;
    default :
      echo("Nieznany typ błędu!\n");
  }
}
?>